<?xml version="1.0" encoding="utf-8"?>

<discovery xmlns="urn:slpdiscovery">

	<refreshRate>60</refreshRate>
	<timeout>4</timeout>
	<destinationAddressIPv6>ff02::1</destinationAddressIPv6>

	<methodList onlyMatching="true">

		<!-- SLP method to find "service:printer" devices -->
		<method name="Test" serviceType="printer.canon">
			<AttributeList>
				<devNameOID>x-can-PdInfoMachineName</devNameOID>
				<devTypeOID>x-can-PdInfoProductName</devTypeOID>
				<sysDescOID>sysDescr</sysDescOID>
			</AttributeList>
			<deviceList>
				<device name="Canon iR2016 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR2016</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2018 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR2018</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2020 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR2020</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR1018/1022/1023 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR1018</devTypeStr>
						<devTypeStr>iR1022</devTypeStr>
						<devTypeStr>iR1023</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR1020/1024/1025 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR1020</devTypeStr>
						<devTypeStr>iR1024</devTypeStr>
						<devTypeStr>iR1025</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2022/2025/2030 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR2022</devTypeStr>
						<devTypeStr>iR2025</devTypeStr>
						<devTypeStr>iR2030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2230 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR2230</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3225 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR3225</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2270/iR2870 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR2270</devTypeStr>
						<devTypeStr>iR2870</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2830 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR2830</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3025 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR3025</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3030 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR3030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3230 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR3230</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3530 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR3530</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3035/iR3045 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR3035</devTypeStr>
						<devTypeStr>iR3045</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3235/iR3245 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR3235</devTypeStr>
						<devTypeStr>iR3245</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3570/iR4570 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR3570</devTypeStr>
						<devTypeStr>iR4570</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR4530 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR4530</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5050 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR5050</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5055/iR5065 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR5055</devTypeStr>
						<devTypeStr>iR5065</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5570/iR6570 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR5570</devTypeStr>
						<devTypeStr>iR6570</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5075 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR5075</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR8070 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR8070</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR85PLUS UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR85PLUS</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR9070 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR9070</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR105PLUS UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR105PLUS</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR7086-7105 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR7086</devTypeStr>
						<devTypeStr>iR7095</devTypeStr>
						<devTypeStr>iR7105</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iRC1021/1022 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>iR C1022</devTypeStr>
						<devTypeStr>iR C1021</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 2570C EUR UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR 2570C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C2380/2550 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2380</devTypeStr>
						<devTypeStr>iR C2550</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C2570 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2570</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C2580 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2580</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 3170C EUR UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR 3170C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 3180C EUR UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR 3180C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3170 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3170</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3180 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3180</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C2880/C3380 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2880</devTypeStr>
						<devTypeStr>iR C3380</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3080/3480/3580 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3080</devTypeStr>
						<devTypeStr>iR C3580</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C4080/C4580 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C4080</devTypeStr>
						<devTypeStr>iR C4580</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C5180 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5180</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C5185 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5185</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 5870C EUR UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR 5870C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C5870 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5870</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 5880C/6880C EUR UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR 5880C EUR</devTypeStr>
						<devTypeStr>iR 6880C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 6870C EUR UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR 6870C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C5880/C6880 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5880</devTypeStr>
						<devTypeStr>iR C6880</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C6870 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iR C6870</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iPR C1 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iPR C1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iPR C1PLUS UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iPR C1PLUS</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iPR C6000VP UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iPR C6000VP</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iPR C6000 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iPR C6000</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iPR C7000VP UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>iPR C7000VP</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MF7100 Series UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>MF7170i</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MF8400 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>MF8400 Series</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MF9100/9300 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>MF9100 Series</devTypeStr>
						<devTypeStr>MF9100/9300 Series</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LBP3360 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>LBP3360</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LBP3370 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>LBP3370</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LBP3460 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>LBP3460</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LBP5360 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>LBP5360</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LBP5960 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>LBP5960</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LBP7750C/5460 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>LBP7750C</devTypeStr>
						<devTypeStr>LBP5460</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LBP5970/5975 UFR II">
					<matchingDevTypeStrs>
						<devTypeStr>LBP5970</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LC800/L3000 UFRII LT">
					<matchingDevTypeStrs>
						<devTypeStr>LC800</devTypeStr>
						<devTypeStr>L3000</devTypeStr>
					</matchingDevTypeStrs>
				</device>

			</deviceList>
		</method>
	</methodList>
</discovery>
